0

I'm currently trying to migrate my D7 site to D8 and one of the things migrating is field_collections to paragraphs. I have a field_collection call "field_sidebar_callouts". I want to migrate that to paragraphs.

Everything is migrating correctly until it reaches to field_instance.yml file. It throws an error call this:

Missing bundle entity, entity type paragraphs_type, entity id r_callouts

Is the instance.yml file importing half the id? How come the entity id is only "r_callouts" and not "field_sidebar_callouts".

Did my field_instance.yml get auto-generated incorrectly?

Any help would be amazing!

Here's my instance file:

uuid: 295c39a9-1857-4d53-a342-92a16ae71223
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_field_instance
class: Drupal\migrate_drupal\Plugin\migrate\FieldMigration
field_plugin_method: alterFieldInstanceMigration
cck_plugin_method: null
migration_tags:
 - 'Drupal 7'
 - Configuration
 migration_group: migrate_drupal_7
label: 'Field instance configuration'
source:
 plugin: d7_field_instance
 constants:
  status: true
process:
 type:
  -
  plugin: process_field
  source: type
  method: getFieldType
 entity_type:
  -
   plugin: get
   source: entity_type
  -
   plugin: static_map
   map:
    field_collection_item: paragraph
    paragraphs_item: paragraph
  bypass: true
field_name:
  -
   plugin: get
   source: field_name
bundle:
 -
  plugin: static_map
  source: bundle
  bypass: true
  map:
    comment_node_forum: comment_forum
-
  plugin: paragraphs_process_on_value
  source_value: entity_type
  expected_value: field_collection_item
  process:
    plugin: substr
    start: 6
label:
 -
  plugin: get
  source: label
description:
 -
  plugin: get
  source: description
required:
 -
  plugin: get
  source: required
status:
 -
  plugin: get
  source: constants/status
allowed_values:
 - 
  plugin: sub_process
  source: allowed_vid
  process:
    -
      plugin: migration_lookup
      migration: upgrade_d7_taxonomy_vocabulary
      source: vid
settings:
  0:
   plugin: d7_field_instance_settings
   source:
    - settings
    - widget
    - field_definition
field_collection:
  plugin: field_collection_field_instance_settings
default_value_function:
 -
  plugin: get
  source: ''
default_value:
 -
  plugin: d7_field_instance_defaults
  source:
    - default_value
    - widget
translatable:
 -
  plugin: get
  source: translatable
settings/title:
 -
  plugin: static_map
  source: settings/title
  bypass: true
  map:
    disabled: 0
    optional: 1
    required: 2
destination:
 plugin: 'entity:field_config'
migration_dependencies:
 required:
  - upgrade_d7_field
optional:
  - upgrade_d7_node_type
  - upgrade_d7_comment_type
  - upgrade_d7_taxonomy_vocabulary
  - upgrade_d7_field_collection_type

1 Answer 1

0

I believe you need to change the expected_value: field_collection_item to match your field_collection_items

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.